function [ P_out ] = P_harv_function( P_in_dBm, sensitivity, saturation, w_opt )

% Pin in mWatt

% Pout in mWatt
P_out = zeros(size(P_in_dBm));

%output power at saturaturation point
P_out_satur = polyfunct( w_opt, saturation )*10^(saturation/10);

for j = 1 : length(P_in_dBm)
    P_in_j = P_in_dBm(j);
    if (P_in_j <= sensitivity)
        P_out(j) = 0;
    elseif (P_in_j <= saturation)
        P_out(j) = polyfunct( w_opt, P_in_j )*10^(P_in_j/10) ; 
    else
        P_out(j) = P_out_satur;
    end

end

